/*
 * Licence MIT
 * Copyright (c) 2019 Petr Zahradnik
 */
 
#include <M5Stack.h>

struct Tecka
{
  int X, Y;
  Tecka(int x, int y): X(x), Y(y) {}
};

Tecka tecky[] =
{
  Tecka(100, 60),
  Tecka(100, 120),
  Tecka(100, 180),
  Tecka(160, 120),
  Tecka(220, 60),
  Tecka(220, 120),
  Tecka(220, 180)
};

bool vykreslit[6][7] =
{
  {false, false, false, true, false, false, false},
  {false, false, true, false, true, false, false},
  {false, false, true, true, true, false, false},
  {true, false, true, false, true, false, true},
  {true, false, true, true, true, false, true},
  {true, true, true, false, true, true, true}
};

int zbyvaLosovani = 0;
int posledni = 0;

void vykresliKostku(int cislo)
{
  for (int b = 0; b < 7; b++)
    M5.Lcd.fillCircle(tecky[b].X, tecky[b].Y, 15, vykreslit[cislo][b] ? WHITE : BLACK);
}

void setup()
{
  M5.begin();
  M5.Lcd.fillScreen(BLACK);
  M5.Lcd.drawRect(55, 15, 210, 210, WHITE);
  vykresliKostku(5);
}

void loop()
{
  if (zbyvaLosovani == 0 && M5.BtnA.wasReleased())
    zbyvaLosovani = random(8, 15);
  if (zbyvaLosovani > 0)
  {
    zbyvaLosovani--;
    int cislo = random(5);
    if (cislo >= posledni)
    {
      cislo++;
    }
    posledni = cislo;
    vykresliKostku(cislo);
    M5.update();
    delay(500);
  }
  else
  {
    M5.update();
    delay(100);
  }
}
